{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/okitan/test/v1"}],"info":{"version":"v1","title":"4sq app","description":"my foursquare edit application"},"security":[{"token":[]}],"paths":{"/parent_venues":{"summary":"Collection Resource of parent venues","get":{"operationId":"getParentVenues","summary":"Get a list of parent venues","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/venue"}}}},"links":{"resource":{"operationId":"getVenue","parameters":{"id":"$response.body#/4sq/id"}}}}}}},"/venues/{id}":{"summary":"Resource of venues","get":{"operationId":"getVenue","summary":"get venue","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/venue"}}}}}},"put":{"operationId":"updateVenue","summary":"update venue","requestBody":{"content":{"application/merge-patch+json":{"schema":{"properties":{"4sq":{"$ref":"#/components/schemas/4sqVenue"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/venue"}}}}}},"delete":{"operationId":"deleteVenue","summary":"delete or close venue","parameters":[{"name":"reason","in":"path","shema":{"enum":null}}]}},"/venues/{id}/subvenues":{"summary":"Collection Resource of subvenues","get":{"operationId":"getSubVenues","summary":"get subvenues of a venue","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/venue"}}}},"links":{"resource":{"operationId":"getVenue","parameters":{"id":"$response.body#/4sq/id"}}}}}}}},"components":{"schemas":{"venue":{"properties":{"4sq":{"$ref":"#/components/schemas/4sqVenue"},"official":{"$ref":"#/components/schemas/officialVenue"}}},"4sqVenue":{"type":"object","nullable":true,"description":"if no foursquare venues identified, null","properties":{"id":{"title":"id of venue in foursquare","type":"string","readOnly":true},"name":{"type":"string"},"location":{"$ref":"#/components/schemas/location"},"parentId":{"title":"parent venue id","type":"string","nullable":true}}},"officialVenue":{"type":"object","nullable":true,"description":"if no official venues listed, null","properties":{"name":{"type":"string"},"location":{"$ref":"#/components/schemas/location"}},"readOnly":true},"location":{"type":"object","properties":{"country":{"type":"string"},"state":{"type":"string"},"city":{"type":"string"},"crossStree":{"type":"string"},"postalCode":{"type":"string"},"lat":{"type":"number"},"lng":{"type":"number"}}}},"securitySchemes":{"token":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://foursquare.com/oauth2/authenticate","tokenUrl":"https://foursquare.com/oauth2/access_token"}}}}}}